# -*- coding: utf-8 -*-

from fcm_django.api.rest_framework import FCMDeviceSerializer

from rest_framework import serializers

from ... import models


class DeviceSerializer(FCMDeviceSerializer):
    class Meta(FCMDeviceSerializer.Meta):
        model = models.Device
        exclude = ('date_create', 'date_last_modify',)
        fields = None

    def validate(self, attrs):
        super().validate(attrs)
        device = models.Device(**attrs)
        device.check_registration_id_is_valid()
        return attrs
